/**
 * XActMoodDocumentObservation2.java
 *
 * File generated from the medication2::XActMoodDocumentObservation2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActMoodDocumentObservation2.
 *
 * 
 */

@XmlType(name = "XActMoodDocumentObservation")
@XmlEnum
@XmlRootElement(name = "XActMoodDocumentObservation2")
public enum XActMoodDocumentObservation2 {
	@XmlEnumValue("INT")
	INT("INT"),
	@XmlEnumValue("DEF")
	DEF("DEF"),
	@XmlEnumValue("EVN")
	EVN("EVN"),
	@XmlEnumValue("GOL")
	GOL("GOL"),
	@XmlEnumValue("PRMS")
	PRMS("PRMS"),
	@XmlEnumValue("PRP")
	PRP("PRP"),
	@XmlEnumValue("RQO")
	RQO("RQO");
	
	private final String value;

    XActMoodDocumentObservation2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XActMoodDocumentObservation2 fromValue(String v) {
        for (XActMoodDocumentObservation2 c: XActMoodDocumentObservation2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
